<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Table Page</h2>
	<!-- div is a generic container of elements. However, we can add an identifier for our element. An id is a unique identifier for our elements. There should only be one of a kind of id per page. -->
	<div id="navDiv">
		<a href="./index.html">Home Page</a>
		<a href="./form.html">Forms Page</a>
	</div>

	<h3>HTML Entities</h3>
	<p>
		<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
	</p>
	<p>
		HTML entities start with an ampersand (&) and with a semicolon(;)
	</p>
	<h4>Common HTML Entities</h4>
	<!-- 
		Table tag allows us to create a table where in we can display data/information in a tabular form:
			in rows
			in columns
		border attributes when added to a table will allow us to determine thickness of the border in a table		
	 -->
	 <table border="1">
	 	<!-- tr means table row. It allows us to create a row in an HTML table. -->
	 	<!-- thead is used to group header/heading content in an HTML table
	 	 -->
	 	 <thead>
	 	 	<tr>
	 	 		<!-- th means table header. It allows us to add cell which will be our headers. Text in this element is bolded -->
	 	 		<!-- colspan attribute allows us to add how many columns to occupy for a cell. -->
	 	 		<!-- rowspan attribute allows us to add how many row to occupy -->
	 	 		<th colspan="2">Entity</th>
	 			<th>Description</th>
	 		</tr>
		 </thead>
		 <!-- tbody tag is used to group body content in HTML table. This is where the bulk of table data will be put. -->
		 <tbody>
		 	<tr>
		 		<!-- td means table data. These cell unlike th do not bold the text -->
		 		<td>&lt;</td>
		 		<td>lt</td>
		 		<td>Less than</td>
		 	</tr>
		 	<tr>
		 		<td>&gt;</td>
		 		<td>gt</td>
		 		<td>Greater than</td>
		 	</tr>
		 	<tr>
		 		<td>&#8369;</td>
		 		<td>#8369</td>
		 		<td>Peso Sign</td>
		 	</tr>
		 	<tr>
		 		<td>&amp;</td>
		 		<td>amp</td>
		 		<td>Ampersand</td>
		 	</tr>
		 	<tr>
		 		<td>&ntilde;</td>
		 		<td>ntilde</td>
		 		<td>Lower tilde</td>
		 	</tr>
		 	<tr></tr>
		 </tbody>
		 <tfoot>
		 	<!-- tfoot used to group footer content in an HTML table. It allows us to add the misc content at the end of the table -->
		 	<tr>
		 		<th colspan="3">List of Common HTML Entities</th>
		 	</tr>
		 </tfoot>
	 	
	 	
	 </table>
 <hr>
 <!-- Mini-Activity
 	Create a product list and display in a table

 	The table should be at least three columns:
 		name
 		price
 		description
	add atleast 5 products

  -->
  	<table border="1">
  		<thead>
  			<tr>
  				<th>Name</th>
  				<th>Price</th>
  				<th>Description</th>

  			</tr>
  		</thead>
  		<tbody>
  			<tr>
  				<td>Maxx</td>
  				<td>&#8369; 1.00</td>
  				<td>candy</td>
  			</tr>
  			<tr>
  				<td>Snow Bear</td>
  				<td>&#8369; 1.00</td>
  				<td>candy</td>
  			</tr>
  			<tr>
  				<td>Dynamite</td>
  				<td>&#8369; 1.00</td>
  				<td>candy</td>
  			</tr>
  			<tr>
  				<td>Fres</td>
  				<td>&#8369; 1.00</td>
  				<td>candy</td>
  			</tr>
  			<tr>
  				<td>Halls</td>
  				<td>&#8369; 1.00</td>
  				<td>candy</td>
  			</tr>
  		</tbody>

  	</table>

</body>
</html>